package com.infoepoch.pms.dispatchassistant.domain.oa.user;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
* OA用户PMS
*/
public class UserPms {

    /**
     * 校验
     */
    public void verify() {
    }

    /**
     * 私有无参构造
     */
    public UserPms() {
    }

    /**
     * 仓储还原
     */
    public UserPms(Long ouId, String employeeNumber, String fullName, String sex, String retireStatus, String employeeType, String mobileNumber, String email, String isPrimaryAccount, String hrOrgCode, String oaOrgCode, String duty, String displayOrder, Date reference1, String reference2, String reference3, String reference4, String reference5, String reference6, String reference7, String reference8, String reference9, String reference10, String reference11, String reference12, String reference13, String reference14, String reference15, Integer updatetype, Date updatetime) {
        this.ouId = ouId;
        this.employeeNumber = employeeNumber;
        this.fullName = fullName;
        this.sex = sex;
        this.retireStatus = retireStatus;
        this.employeeType = employeeType;
        this.mobileNumber = mobileNumber;
        this.email = email;
        this.isPrimaryAccount = isPrimaryAccount;
        this.hrOrgCode = hrOrgCode;
        this.oaOrgCode = oaOrgCode;
        this.duty = duty;
        this.displayOrder = displayOrder;
        this.reference1 = reference1;
        this.reference2 = reference2;
        this.reference3 = reference3;
        this.reference4 = reference4;
        this.reference5 = reference5;
        this.reference6 = reference6;
        this.reference7 = reference7;
        this.reference8 = reference8;
        this.reference9 = reference9;
        this.reference10 = reference10;
        this.reference11 = reference11;
        this.reference12 = reference12;
        this.reference13 = reference13;
        this.reference14 = reference14;
        this.reference15 = reference15;
        this.updatetype = updatetype;
        this.updatetime = updatetime;
    }


    /**
     * 主键
     */
    private Long ouId;
    /**
     * 员工编号
     */
    private String employeeNumber;
    /**
     * 全名
     */
    private String fullName;
    /**
     * 性别
     */
    private String sex;
    /**
     * 离职状态:状态为Y表示离职，为N或空表示非离职
     */
    private String retireStatus;
    /**
     * 用户类型:
     */
    private String employeeType;
    /**
     * 移动电话
     */
    private String mobileNumber;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 是否主帐号
     */
    private String isPrimaryAccount;
    /**
     * HR组织编码
     */
    private String hrOrgCode;
    /**
     * OA组织编码
     */
    private String oaOrgCode;
    /**
     * 用户的职务
     */
    private String duty;
    /**
     * 显示顺序
     */
    private String displayOrder;
    /**
     * 最后更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date reference1;
    /**
     * Empid（分配数据存的id）
     */
    private String reference2;
    /**
     * OA账号
     */
    private String reference3;
    /**
     * 分配状态 1.兼职 2.调动
     */
    private String reference4;
    /**
     * 是否领导Y:N
     */
    private String reference5;
    /**
     * OA账号状态：0.正常1.锁定2.未启用3.注销4.隐藏
     */
    private String reference6;
    /**
     * 新员工编码
     */
    private String reference7;
    /**
     * 新HR组织编码
     */
    private String reference8;
    /**
     * 
     */
    private String reference9;
    /**
     * 
     */
    private String reference10;
    /**
     * 
     */
    private String reference11;
    /**
     * 
     */
    private String reference12;
    /**
     * 
     */
    private String reference13;
    /**
     * 
     */
    private String reference14;
    /**
     * 
     */
    private String reference15;
    /**
     * 变更类型（1：新增；0：修改）
     */
    private Integer updatetype;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date updatetime;

    public Long getOuId() {
        return ouId;
    }

    public String getEmployeeNumber() {
        return employeeNumber;
    }

    public String getFullName() {
        return fullName;
    }

    public String getSex() {
        return sex;
    }

    public String getRetireStatus() {
        return retireStatus;
    }

    public String getEmployeeType() {
        return employeeType;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public String getEmail() {
        return email;
    }

    public String getIsPrimaryAccount() {
        return isPrimaryAccount;
    }

    public String getHrOrgCode() {
        return hrOrgCode;
    }

    public String getOaOrgCode() {
        return oaOrgCode;
    }

    public String getDuty() {
        return duty;
    }

    public String getDisplayOrder() {
        return displayOrder;
    }

    public Date getReference1() {
        return reference1;
    }

    public String getReference2() {
        return reference2;
    }

    public String getReference3() {
        return reference3;
    }

    public String getReference4() {
        return reference4;
    }

    public String getReference5() {
        return reference5;
    }

    public String getReference6() {
        return reference6;
    }

    public String getReference7() {
        return reference7;
    }

    public String getReference8() {
        return reference8;
    }

    public String getReference9() {
        return reference9;
    }

    public String getReference10() {
        return reference10;
    }

    public String getReference11() {
        return reference11;
    }

    public String getReference12() {
        return reference12;
    }

    public String getReference13() {
        return reference13;
    }

    public String getReference14() {
        return reference14;
    }

    public String getReference15() {
        return reference15;
    }

    public Integer getUpdatetype() {
        return updatetype;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setOuId(Long ouId) {
        this.ouId = ouId;
    }

    public void setEmployeeNumber(String employeeNumber) {
        this.employeeNumber = employeeNumber;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public void setRetireStatus(String retireStatus) {
        this.retireStatus = retireStatus;
    }

    public void setEmployeeType(String employeeType) {
        this.employeeType = employeeType;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void setIsPrimaryAccount(String isPrimaryAccount) {
        this.isPrimaryAccount = isPrimaryAccount;
    }

    public void setHrOrgCode(String hrOrgCode) {
        this.hrOrgCode = hrOrgCode;
    }

    public void setOaOrgCode(String oaOrgCode) {
        this.oaOrgCode = oaOrgCode;
    }

    public void setDuty(String duty) {
        this.duty = duty;
    }

    public void setDisplayOrder(String displayOrder) {
        this.displayOrder = displayOrder;
    }

    public void setReference1(Date reference1) {
        this.reference1 = reference1;
    }

    public void setReference2(String reference2) {
        this.reference2 = reference2;
    }

    public void setReference3(String reference3) {
        this.reference3 = reference3;
    }

    public void setReference4(String reference4) {
        this.reference4 = reference4;
    }

    public void setReference5(String reference5) {
        this.reference5 = reference5;
    }

    public void setReference6(String reference6) {
        this.reference6 = reference6;
    }

    public void setReference7(String reference7) {
        this.reference7 = reference7;
    }

    public void setReference8(String reference8) {
        this.reference8 = reference8;
    }

    public void setReference9(String reference9) {
        this.reference9 = reference9;
    }

    public void setReference10(String reference10) {
        this.reference10 = reference10;
    }

    public void setReference11(String reference11) {
        this.reference11 = reference11;
    }

    public void setReference12(String reference12) {
        this.reference12 = reference12;
    }

    public void setReference13(String reference13) {
        this.reference13 = reference13;
    }

    public void setReference14(String reference14) {
        this.reference14 = reference14;
    }

    public void setReference15(String reference15) {
        this.reference15 = reference15;
    }

    public void setUpdatetype(Integer updatetype) {
        this.updatetype = updatetype;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}